> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hadron.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pool

> Returns detailed information for a single Hadron pool.

## Path Parameters

<ParamField path="address" type="string" required>
  The pool config PDA address.
</ParamField>

## Query Parameters

<ParamField query="cluster" type="string" default="mainnet-beta">
  Solana cluster — `mainnet-beta` or `devnet`.
</ParamField>

## Response

Returns the same pool object shape as the [List Pools](/api-reference/list-pools) endpoint.

<ResponseExample>
  ```json theme={null}
  {
    "address": "7ZRLTJBvJSy9VDyZmDoGW4b7noorCYnLUisyAXh7hxMz",
    "name": "SOL/USDC",
    "token_x": {
      "address": "So11111111111111111111111111111111111111112",
      "symbol": "SOL",
      "name": "SOL",
      "decimals": 9,
      "icon": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png"
    },
    "token_y": {
      "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "symbol": "USDC",
      "name": "USDC",
      "decimals": 6,
      "icon": ""
    },
    "token_x_amount": 5413038034,
    "token_y_amount": 515256215,
    "pool_config": {
      "authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
      "quoting_authority": "Bk2qYNMa4hUkbutBcb4JHhMqAbGEFZq4KjicpMCwC2wn",
      "oracle_mode": 0,
      "pool_state": "Initialized",
      "base_spread_bps": 5.0
    },
    "tvl": 990.81,
    "current_price": 87.85,
    "volume": { "24h": 364.16 },
    "fees": { "24h": 0.59 }
  }
  ```
</ResponseExample>

## Errors

| Status | Message          |
| ------ | ---------------- |
| `404`  | `Pool not found` |
